<?php

namespace Drupal\cshs;

use Drupal\Core\Entity\EntityStorageInterface;
use Drupal\taxonomy\VocabularyStorage;
use Drupal\taxonomy\TermStorage;

/**
 * Class TaxonomyStorages.
 */
trait TaxonomyStorages {

  /**
   * Get storage object for terms.
   *
   * @return TermStorage
   *   Taxonomy term storage.
   */
  protected static function getTermStorage() {
    return self::getStorage('taxonomy_term');
  }

  /**
   * Get storage object for vocabularies.
   *
   * @return VocabularyStorage
   *   Taxonomy vocabulary storage.
   */
  protected static function getVocabularyStorage() {
    return self::getStorage('taxonomy_vocabulary');
  }

  /**
   * Get storage object for an entity.
   *
   * @param string $entity_type
   *   Name of an entity type.
   *
   * @return EntityStorageInterface
   *   Storage object.
   */
  private static function getStorage($entity_type) {
    return \Drupal::entityTypeManager()->getStorage($entity_type);
  }

}
